Attribute VB_Name = "Program"
' Copyright (c) Traeger Industry Components GmbH.  All Rights Reserved.
Option Explicit

'
' This sample demonstrates how to query scalar values within an application.
'
' This application does write/read scalar values to/from the PLC.
'
Public Sub Main()
    Dim device As SimaticDevice
    Set device = New_SimaticDevice( _
            New_IPDeviceEndPoint("192.168.0.80"), SimaticDeviceType_S7300_400)

    Dim connection As PlcDeviceConnection
    Set connection = device.CreateConnection()
    
    Call connection.Open
    
    Call connection.WriteByte("DB111.DBB 2", 15)
    Debug.Print "DB111.DBB 2: " & connection.ReadByte("DB111.DBB 2")

    Call connection.WriteInt16("DB111.DBW 4", 600)
    Debug.Print "DB111.DBW 4: " & connection.ReadInt16("DB111.DBW 4")

    Call connection.WriteInt32("DB111.DBD 6", 280)
    Debug.Print "DB111.DBD 6: " & connection.ReadInt32("DB111.DBD 6")

    Call connection.WriteReal("DB111.DBD 10", 2.46)
    Debug.Print "DB111.DBD 10: " & connection.ReadReal("DB111.DBD 10")

    Call connection.WriteString("DB111.DBB 20", "4-036300-076816")
    Debug.Print "DB111.DBB 20: " & connection.ReadString("DB111.DBB 20", 16)

    Call connection.Close
End Sub

